"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

Object subclass:#CallChain
	 instanceVariableNames:'receiver selector class isBlock rest'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'System-Debugging-Support'
!

!CallChain class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    This is is used as a companion to MessageTally.
    Instances of it are used to represent a calling chain.
    (MessageTally could have used the contexts themself, but these
     may create more overhead)
"
! !

!CallChain methodsFor:'accessing'!

isBlock 
    ^ isBlock
!

isBlock:aBoolean 
    isBlock := aBoolean.
!

methodClass
    ^ class
!

receiver
    ^ receiver
!

receiver:r selector:s class:cls 
    receiver := r.
    selector := s.
    class := cls.
    isBlock := false.
!

rest
    ^ rest
!

rest:r
    rest := r.
!

selector
    ^ selector
! !

!CallChain methodsFor:'comparing'!

= someInfo
    receiver == someInfo receiver ifFalse:[^ false].
    selector == someInfo selector ifFalse:[^ false].
    ^ class == someInfo methodClass
! !

!CallChain class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/CallChain.st,v 1.10 1995-12-09 15:05:47 cg Exp $'
! !
