"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

ClassChange subclass:#ClassPrimitiveDefinitionsChange
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'System-Changes'
!

!ClassPrimitiveDefinitionsChange class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1995 by Claus Gittinger
	      All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    instances represent a classes primitive definition-changes. 
    They are typically held in a ChangeSet.
"
! !

!ClassPrimitiveDefinitionsChange methodsFor:'accessing'!

class:aClass 
    className := aClass name.
    source := aClass primitiveDefinitionsString

    "Created: 3.12.1995 / 14:02:40 / cg"
    "Modified: 3.12.1995 / 14:06:33 / cg"
! !

!ClassPrimitiveDefinitionsChange methodsFor:'printing'!

printOn:aStream
    aStream nextPutAll:className; nextPutAll:' primitiveDefinitions:'
! !

!ClassPrimitiveDefinitionsChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/ClassPrimitiveDefinitionsChange.st,v 1.2 1995-12-03 18:20:17 cg Exp $'
! !
